<h1>Tagged Under "<%= @topic.text %>"</h1>

<table class="table topic index">
    <thead>
        <tr>
            <th class="type">Type</th>
            <th>Title</th>
        </tr>
    </thead>
    <tbody>
        <%= for entity <- @topic.entities do %>
           <% {content, type, content_path } = case entity do
             %{article: %{id: _}} -> {entity.article, "Article", &Routes.article_path/3}
             %{episode: %{id: _}} -> {entity.episode, "Episode", &Routes.episode_path/3}
             %{resource: %{id: _}} -> {entity.resource, "Resource", &Routes.resource_path/3}
        end
        %>
        <tr>
            <td>
                <div class="stamp stamp-<%= String.downcase(type) %>"> <%= link type, to: content_path.(@conn, :index, []) %></div>
            </td>
            <td>
                <div><%= link content.title, to: content_path.(@conn, :show, content) %></div>
            </td>
        </tr>
    <% end %>
    </tbody>
</table>
